
import React from 'react';
import Icon from 'react-icon-base';

const SlEyeglass = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1025.38 308.208c-0.975586 13.8398 -53.0078 319.313 -61.1514 368.226c-0.78418 4.68848 -1.4082 9.68066 -2.0957 14.9443c-6.28809 49.1523 -18.0322 140.624 -165.473 140.624c-17.6797 0 -32 -14.3203 -32 -32s14.3203 -32 32 -32 c91.1201 0 95.9365 -37.4082 102.001 -84.7842c0.78418 -6.06445 1.53613 -11.8721 2.43262 -17.2803c3.74414 -22.5283 20.7041 -112.16 35.3438 -201.024c-37.5518 28.624 -84.2881 45.8076 -135.12 45.8076c-81.6484 0 -154.32 -43.9521 -194.272 -109.36 c-19.2158 7.26367 -51.8242 16.3359 -95.3926 16.3359c-42.9443 0 -74.5127 -9.13574 -94.0322 -17.0879c-38.8477 65.8242 -110.304 110.128 -192.271 110.128c-53.2637 0 -102.735 -18.7197 -141.84 -49.8398c14.832 89.9844 32.4004 182.032 36.208 205.024 c0.912109 5.4082 1.66406 11.2158 2.43164 17.2803c6.06445 47.376 10.8809 84.7842 102.001 84.7842c17.6797 0 32 14.3203 32 32s-14.3203 32 -32 32c-147.44 0 -159.185 -91.4717 -165.473 -140.624c-0.688477 -5.24805 -1.3125 -10.2559 -2.09668 -14.9443 c-8.16016 -48.9121 -57.0078 -352.368 -57.9678 -366.225c-0.223633 -3.08789 0.144531 -6.04785 0.75293 -8.94336c-0.303711 -4.62402 -0.719727 -9.21582 -0.719727 -13.9043c0 -123.344 103.344 -223.344 226.688 -223.344c123.344 0 223.344 100 223.344 223.344 c0 18.6562 -2.54395 36.6719 -6.84766 53.9834c13.1201 5.28027 36.832 12.3359 69.8076 12.3359c32.1758 0 56.4639 -6.43164 70.3037 -11.3281c-4.6084 -17.6318 -7.32812 -35.9678 -7.32812 -54.9922c0 -123.344 103.344 -223.344 226.688 -223.344 s223.344 100 223.344 223.344c0 3.34375 -0.351562 6.60742 -0.495117 9.91992c0.975586 3.48828 1.51953 7.13672 1.23145 10.9443zM225.344 128.018c-88.1924 0 -162.688 72.9756 -162.688 159.344s74.4961 159.344 162.688 159.344 c87.8721 0 159.344 -71.4717 159.344 -159.344s-71.4717 -159.344 -159.344 -159.344zM801.312 128.018c-88.1924 0 -162.689 72.9775 -162.689 159.346s74.4961 159.344 162.688 159.344c76 0 139.632 -53.4883 155.456 -124.784 c0.65625 -6.52832 1.2002 -12.6719 1.61621 -18.2881c0.192383 -2.68848 0.912109 -5.2168 1.83984 -7.66504c0.160156 -2.87988 0.432617 -5.71191 0.432617 -8.62402c0 -87.8564 -71.4717 -159.328 -159.344 -159.328z"/></g>
    </Icon>
);

export default SlEyeglass;
